Loading...
Searching...
No Matches
vkd3d_shader_descriptor_info Struct Reference

Describes a single shader descriptor; returned as part of struct vkd3d_shader_scan_descriptor_info. More...

`#include <vkd3d_shader.h>`

## Data Fields

enum vkd3d_shader_descriptor_type | type
| Type of the descriptor (for example, SRV, CBV, UAV, or sampler).
unsigned int | register_space
| Register space of the resource, or 0 if the shader does not support multiple register spaces.
unsigned int | register_index
| Register index of the descriptor.
enum vkd3d_shader_resource_type | resource_type
| Resource type, if applicable, including its dimension.
enum vkd3d_shader_resource_data_type | resource_data_type
| Data type contained in the resource (for example, float or integer).
unsigned int | flags
| Bitwise combination of zero or more members of vkd3d_shader_descriptor_info_flag.
unsigned int | count
| Size of this descriptor array, or 1 if a single descriptor.

## Detailed Description

Describes a single shader descriptor; returned as part of struct vkd3d_shader_scan_descriptor_info.

## Field Documentation

## count

unsigned int vkd3d_shader_descriptor_info::count

Size of this descriptor array, or 1 if a single descriptor.

For an unbounded array this value is ~0u.

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h